Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface PacketRouter

All Known Implementing Classes:
  PacketRouterImpl, SessionPacketRouter

    public interface PacketRouter

A router that handles incoming packets. Packets will be routed to their corresponding handler. A router is much like a forwarded with some logic to figute out who is the target for each packet.

Author:
  Gaston Dombiak

Method Summary
`void` | `route(org.xmpp.packet.IQ packet)` Routes the given IQ packet.
`void` | `route(org.xmpp.packet.Message packet)` Routes the given Message packet.
`void` | `route(org.xmpp.packet.Packet packet)` Routes the given packet based on its type.
`void` | `route(org.xmpp.packet.Presence packet)` Routes the given Presence packet.

Method Detail

### route

    void route(org.xmpp.packet.Packet packet)

  Routes the given packet based on its type.

  Parameters:
    `packet` - The packet to route.

### route

    void route(org.xmpp.packet.IQ packet)

  Routes the given IQ packet.

  Parameters:
    `packet` - The packet to route.

### route

    void route(org.xmpp.packet.Message packet)

  Routes the given Message packet.

  Parameters:
    `packet` - The packet to route.

### route

    void route(org.xmpp.packet.Presence packet)

  Routes the given Presence packet.

  Parameters:
    `packet` - The packet to route.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.